org.gnome.gdk

## Class WindowTypeHint

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gdk.WindowTypeHint

-     public final class WindowTypeHint
      extends org.freedesktop.bindings.Constant

  Constants indicating hints you can provide to the window manager about what the nature and purpose of a given Window is. While this is in the GDK package, its primary use is for designating the purpose of top level `[org.gnome.gtk]` Windows via `setTypeHint()`.
  Since:
    4.0.8
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WindowTypeHint` | `DIALOG` This Window is a dialog.
    `static WindowTypeHint` | `DOCK` This Window will be used to present something that is docked, presumably to the panel.
    `static WindowTypeHint` | `NORMAL` This is the default when constructing a new Window and you don't need to set it.
    `static WindowTypeHint` | `UTILITY` Mark this Window as a utility window.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DIALOG

          public static final WindowTypeHint DIALOG

      This Window is a dialog. Obviously if you've used Dialog or one of its subclasses, the window manager will be informed properly for you. This is for when you've created a Window that is acting as a dialog but isn't a Dialog.
      Since:
        4.0.8

    - #### DOCK

          public static final WindowTypeHint DOCK

      This Window will be used to present something that is docked, presumably to the panel. An example in GNOME is the calendar that the clock applet displays as a popup. Once raised, it stays on top of all other windows regardless of which workspace you are on or what other applications you focus.

      If you're thinking to use this you probably want Window's `setKeepAbove()` instead.

      Since:
        4.0.8

    - #### NORMAL

          public static final WindowTypeHint NORMAL

      This is the default when constructing a new Window and you don't need to set it.
      Since:
        4.0.8

    - #### UTILITY

          public static final WindowTypeHint UTILITY

      Mark this Window as a utility window. Under Metacity you should expect a Window so marked to not appear in the pager or taskbar. A utility window will be raised when a normal Window from the same application gains the focus.

      This setting is excellent for secondary windows. The key question is "should I be able to `Alt+Tab` to this Window?" If it's not the real application, per se, then the answer is "probably not" and the Window should be marked `UTILITY`.

      Since:
        4.0.8